# .conkyrc

update_interval 1.0

double_buffer yes
own_window yes
#
alignment top_right
background no
border_width 1
cpu_avg_samples 2

# Default colors and also border colors
default_color white
default_outline_color white
default_shade_color white

double_buffer yes
draw_borders no
draw_graph_borders yes
draw_outline no
draw_shades no


# Text alignment, other possible values are commented
alignment top_left
#alignment top_right
#alignment bottom_left
#alignment bottom_right

gap_x 10
gap_y 60
minimum_size 5 5
net_avg_samples 2
no_buffers yes
out_to_console no
out_to_stderr no
extra_newline no
own_window yes
own_window_argb_visual yes
own_window_class Conky
#own_window_hints undecorated,below,sticky,skip_taskbar,skip_pager
own_window_transparent no
#
own_window_type normal
stippled_borders 0
update_interval 1.0
uppercase no
use_spacer none
show_graph_scale no
show_graph_range no
#
use_xft yes
xftfont Bitstream Vera Sans:size=8

maximum_width 270
# Minimum size of text area
minimum_size 1000 5
default_color white
alignment top_right
#own_window_colour black
#own_window_colour 242e1a
#own_window_colour 242e1a
own_window_colour 0a559a
uppercase no
# Force UTF8? note that UTF8 support required XFT
#override_utf8_locale yes
TEXT
${offset 60}${color   lightgrey}${time %a, } ${color }${time %e %B %G}
${offset 60}${color  lightgrey}${time %Z,    }${color }${time %H:%M:%S}
#${offset 60}${color slate grey}UpTime: ${color }$uptime
#${offset 60}${color slate grey}Kern:${color }$kernel
$hr
${offset 40}$nodename - $sysname $kernel on $machine 
$hr
#${scroll 35 $nodename - $sysname $kernel on $machine | }
${color lightgrey}Uptime:$color $uptime ${color lightgrey}Load:$color $loadavg
${color lightgrey}CPU Usage: $color ${freq} Mhz ${color lightgrey} Usage:$color $cpu% ${cpubar 4}
#${color grey}CPU Usage:$color $cpu% ${cpubar 4}
${color grey}Frequency (in MHz):$color $freq
${color grey}Frequency (in GHz):$color $freq_g
${color grey}RAM Usage:$color $mem/$memmax - $memperc% ${membar 4}
${color grey}Swap Usage:$color $swap/$swapmax - $swapperc% ${swapbar 4}
${color grey}Processes:$color $processes  ${color grey}Running:$color $running_processes
$color${cpugraph}
#$hr
${color lightgrey}Processor temperature: $color${acpitemp}°C
${color lightgrey}Battery: $color ${battery}
#$hr
#${color lightgrey}RAM usage:$color $mem/$memmax - $memperc%
#${membar}
#$hr
${color grey}Disk usage: $color${fs_free /} of ${fs_size /}
${fs_bar 6 /}

${color #ffcb48}Wi-Fi ${hr 1}
${color lightgrey}Wireless signal: $color${wireless_link_qual wlan0}%
${color lightgrey}IP address: $color${addr wlan0}
${color lightgrey}Download speed: $color${downspeedf wlan0} Kb/sec
${downspeedgraph wlan0}
${color red}Downloaded: $color${totaldown wlan0} $alignr ${color green}Uploaded: $color${totalup wlan0}
${color #ffcb48}Ethernet ${hr 1}
${color lightgrey}IP address: $alignr$color${addr eth0}
${color lightgrey}Download speed: $color${downspeedf eth0} Kb/sec
${downspeedgraph eth0}
${color red}Downloaded: $color${totaldown eth0} $alignr ${color green}Uploaded: $color${totalup eth0}
$hr
${color grey}File systems:
 / $color${fs_used /}/${fs_size /} ${fs_bar 6 /}
 /home $color${fs_used /home}/${fs_size /home} ${fs_bar 6 /home}
${color grey}Networking:
 Up:$color ${upspeed wlan0} ${color grey} - Down:$color ${downspeed wlan0}
#$hr
#${color grey}Name              PID   CPU%   MEM%
#${color lightgrey} ${top name 1} ${top pid 1} ${top cpu 1} ${top mem 1}
#${color lightgrey} ${top name 2} ${top pid 2} ${top cpu 2} ${top mem 2}
#${color lightgrey} ${top name 3} ${top pid 3} ${top cpu 3} ${top mem 3}
#${color lightgrey} ${top name 4} ${top pid 4} ${top cpu 4} ${top mem 4}
